org.eclipse.emf.facet.util.emf.core.exception

## Class InvalidFacetSetException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.emf.facet.util.emf.core.exception.InvalidFacetSetException

All Implemented Interfaces:
  java.io.Serializable

    public final class InvalidFacetSetException
    extends java.lang.Exception

This exception is raised when an invalid FacetSet is found

Since:
  0.2
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidFacetSetException(java.lang.String message)`
`InvalidFacetSetException(java.lang.String message, java.lang.Throwable cause)`
`InvalidFacetSetException(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidFacetSetException

    public InvalidFacetSetException(java.lang.String message)

#### InvalidFacetSetException

    public InvalidFacetSetException(java.lang.String message,
                                    java.lang.Throwable cause)

#### InvalidFacetSetException

    public InvalidFacetSetException(java.lang.Throwable cause)